summary refs log tree commit diff
path: root/lisc/test
diff options
context:
space:
mode:
authorQuentin Carbonneaux <quentin.carbonneaux@yale.edu>2016-03-03 13:24:31 -0500
committerQuentin Carbonneaux <quentin.carbonneaux@yale.edu>2016-03-03 13:24:31 -0500
commita515ea364fdc63f2e687286cc9d43c3072f7337f (patch)
tree0812524819e913078b1d657b69443049ec0c82a5 /lisc/test
parent5c0e64e5f6f2b6a46e0fcd3edbd6d6b0123176a2 (diff)
downloadroux-a515ea364fdc63f2e687286cc9d43c3072f7337f.tar.gz
nicer aligned okays
Diffstat (limited to 'lisc/test')
-rwxr-xr-xlisc/test/go.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/lisc/test/go.sh b/lisc/test/go.sh
index f0d47ca..86dad1f 100755
--- a/lisc/test/go.sh
+++ b/lisc/test/go.sh
@@ -39,9 +39,9 @@ once() {
 		exit 1
 	fi
 
-	printf "$T... "
+	echo "$T... "
 
-	if ! ./lisc $T -o $ASM 2> /dev/null
+	if ! ./lisc $T -o $ASM
 	then
 		echo "[qbe fail]"
 		return 1
@@ -80,12 +80,18 @@ once() {
 		return 1
 	fi
 
-	echo "[ok]"
+	printf "\033[1A\033[45C[ok]\n"
 }
 
 
 #trap cleanup TERM QUIT
 
+if test -z "$1"
+then
+	echo "usage: test/go.sh {all, SSAFILE}" 2>&1
+	exit 1
+fi
+
 case $1 in
 	"all")
 		F=0